All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class LabelZoneList

    com.sas.graphics.components.LabelZoneList

    @SASScope(value="ALL")
    public class LabelZoneList

A LabelZoneList is used with imagemap information to record the location of some role's label (such as the Category label). Some roles allow for a list of variables so this class supports recording the label for each variable in that list.

Since:
  SAS 9.1

Constructor Summary
`LabelZoneList(java.awt.Shape shape, java.lang.String variableName, java.lang.String variableLabel, DataZone drill, LabelZoneList next)`
`LabelZoneList(java.awt.Shape shape, java.lang.String variableName, java.lang.String variableLabel, LabelZoneList next)`

Method Summary
`DataZone` | `getDrillIcon()` Returns the drillIcon.
`java.lang.String` | `getLabel()` Returns the variableLabel.
`java.lang.String` | `getName()` Returns the variableName.
`LabelZoneList` | `getNext()` Returns the next.

Methods inherited from class com.sas.graphics.components.DataZone
`getAnnotationValue, getShape, getTupleElement`

Constructor Detail

### LabelZoneList

    public LabelZoneList(java.awt.Shape shape,
                         java.lang.String variableName,
                         java.lang.String variableLabel,
                         DataZone drill,
                         LabelZoneList next)

### LabelZoneList

    public LabelZoneList(java.awt.Shape shape,
                         java.lang.String variableName,
                         java.lang.String variableLabel,
                         LabelZoneList next)

Method Detail

### getName

    public java.lang.String getName()

  Returns the variableName.

  Returns:
    String

### getLabel

    public java.lang.String getLabel()

  Returns the variableLabel.

  Returns:
    String

### getDrillIcon

    public DataZone getDrillIcon()

  Returns the drillIcon.

  Returns:
    DataZone

### getNext

    public LabelZoneList getNext()

  Returns the next.

  Returns:
    LabelZone

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.